{
  "ForFailure" : true,
  "AppVersion" : "5.0b1",
  "Comments" : "Ce script réinitialise la prise d'un APC Masterswitch.",
  "AfterChanges" : 1,
  "ForChange" : true,
  "Identifier" : "Script - APC Masterswitch",
  "IntroRelease" : "2045b",
  "UpgradeRelease" : "5009b",
  "Name" : "APC Masterswitch",
  "PauseUntilDate" : "0001-01-01T00:00:00Z",
  "PluginSettings" : {
    "ScriptSource" : "esc=`echo -e '\\033'`; ( echo open {Masterswitch} {PortTelnet}; sleep 3; sleep 1; echo {Utilisateur}; sleep 1; echo {MotDePasse}; sleep 1; echo \"1\"; sleep 1; echo \"3\"; sleep 1; echo {Sortie}; sleep 1; echo \"1\"; sleep 1; echo \"3\"; sleep 1; echo \"OUI\"; sleep 1; echo $esc; sleep 1; echo $esc; sleep 1; echo $esc; sleep 1; echo $esc; sleep 1; echo $esc; sleep 1; echo \"4\"; sleep 1; sleep 1; echo exit ) | telnet\n\n",
    "ScriptInstructions" : "Ce script réinitialise la prise d'un APC Masterswitch\n\nShell Script pour redémarrer une prise sur un APC Masterswitch avec une carte de gestion réseau v2.6.1\nIl peut également fonctionner avec des versions plus récentes de la carte de gestion réseau. Telnet doit être activé sur le Masterswitch. Veuillez vous assurer de bloquer l'accès telnet à votre APC sur votre pare-feu afin que seuls les hôtes de confiance puissent se connecter au port telnet.\n ",
    "ScriptType" : "Bourne Shell: \/bin\/sh",
    "ScriptVariables" : {
      "PortTelnet" : "23",
      "Masterswitch" : "10.0.0.1",
      "Sortie" : "7",
      "MotDePasse" : "votremotdepasse",
      "Utilisateur" : "votreidentifiant"
    },
    "ScriptResults" : {
      "0" : "Succès"
    }
  },
  "OnlyOncePerFailure" : true,
  "MajorVersion" : 1,
  "AfterRecoveries" : 1,
  "MinorVersion" : 2,
  "FailureForRecovery" : true,
  "LastSaveName" : "APC Masterswitch",
  "PluginIdentifier" : "Script",
  "AutoPauseSettings" : [
    {
      "Identifier" : "92219CCE-C9D9-4C1F-AB1E-AAED7A781422",
      "Mode" : 0,
      "DayFromInterval" : 228867480,
      "DayToInterval" : 228867480
    }
  ],
  "IsGroup" : false,
  "GroupIdentifier" : "",
  "NextAutoResumeDate" : "4001-01-01T00:00:00Z",
  "AfterErrors" : 1,
  "Mode" : 0,
  "LastSaveDate" : "2019-11-07T03:35:21Z",
  "NextAutoPauseDate" : "4001-01-01T00:00:00Z",
  "ForRecovery" : true,
  "DeviceIdentifier" : "E9413342-9FF0-4B01-BE45-639894573DDE"
}
